Loading...
Searching...
No Matches
istlvectorfactory.hh File Reference
`#include <type_traits>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/fvector.hh>`
`#include <dune/common/indices.hh>`
`#include <dune/functions/functionspacebases/containerdescriptors.hh>`
`#include <dune/istl/bvector.hh>`
`#include <dune/istl/multitypeblockvector.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
namespace | Dune::Functions
namespace | Dune::Functions::ContainerDescriptors

## Functions

template<class T = double, class ContainerDescriptor>
auto | Dune::Functions::makeISTLVector (const ContainerDescriptor &tree)
| Construct an istl vector type compatible with the container descriptor.